WhatsNext:AddConditionalStatement("Holy Power",{
	category = "Paladin",
	test = function(checkTable) 
		return tonumber(checkTable.amount) <= UnitPower("player" ,9)
	end,
	text = function(checkTable) 
		return "player has at least " .. tostring(checkTable.amount) .. " holy power."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Seal",{
	category="Paladin",
	test = function(checkTable)
		return checkTable.seal == (GetShapeshiftForm() and GetShapeshiftForm() > 0 and select(2,GetShapeshiftFormInfo(GetShapeshiftForm())) or 0)
	end,
	text = function(checkTable)
		return "player's active seal is "..tostring(checkTable.seal) .. "."
	end,
	arguments = {
		seal = {type = "text", default = ""},
	}
})